Endpoint Groups
Versions and Releases
Versions and Releases operations within the Products API group.
List data product versionsGET
/data-products/{productSlug}/versions
Operation ID
listDataProductVersionsPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
productSlug |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Create data product versionPOST
/data-products/{productSlug}/versions
Operation ID
createDataProductVersionPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
productSlug |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
409 |
The request conflicts with the current state of the server. |
429 |
Client error |
500 |
Server error |
Get data product versionGET
/data-products/{productSlug}/versions/{version}
Operation ID
getDataProductVersionPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
productSlug |
string |
true |
- |
version |
integer |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Delete data product versionDELETE
/data-products/{productSlug}/versions/{version}
Operation ID
deleteDataProductVersionPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
productSlug |
string |
true |
- |
version |
integer |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Deprecate data product versionPOST
/data-products/{productSlug}/versions/{version}:deprecate
Operation ID
deprecateDataProductVersionPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
productSlug |
string |
true |
- |
version |
integer |
true |
- |
Request Body
- Required:
false - Content types:
application/json
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Publish data product versionPOST
/data-products/{productSlug}/versions/{version}:publish
Operation ID
publishDataProductVersionPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
productSlug |
string |
true |
- |
version |
integer |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Retire data product versionPOST
/data-products/{productSlug}/versions/{version}:retire
Operation ID
retireDataProductVersionPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
productSlug |
string |
true |
- |
version |
integer |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |